# Uses of Enum
com.databricks.jdbc.common.HttpClientType

Packages that use HttpClientType
Package
Description
com.databricks.jdbc.common
com.databricks.jdbc.dbclient.impl.http

## Uses of HttpClientType in com.databricks.jdbc.common

Subclasses with type arguments of type HttpClientType in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`HttpClientType`
Enumerates the types of HTTP clients supported by the Databricks JDBC driver.
Methods in com.databricks.jdbc.common that return HttpClientType
Modifier and Type
Method
Description
`static HttpClientType`
HttpClientType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HttpClientType[]`
HttpClientType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of HttpClientType in com.databricks.jdbc.dbclient.impl.http

Methods in com.databricks.jdbc.dbclient.impl.http with parameters of type HttpClientType
Modifier and Type
Method
Description
`IDatabricksHttpClient`
DatabricksHttpClientFactory.`getClient(IDatabricksConnectionContext context, HttpClientType type)`
`void`
DatabricksHttpClientFactory.`removeClient(IDatabricksConnectionContext context, HttpClientType type)`